// 基础路由
const baseRouter = [
  // {
  //   path: '/home',
  //   component: (resolve) => require(['@/views/dashboard'], resolve),
  //   name: 'home',
  //   meta: {
  //     title: 'home',
  //     icon: 'icon-ym icon-ym-nav-home',
  //     affix: true,
  //     zhTitle: '首页'
  //   }
  // },
  {
    path: '/form/flowEngine',
    component: (resolve) => require(['@/views/form/flowEngine'], resolve),
    name: 'flowEngineEdit',
    meta: {
      title: 'flowEngineEdit',
      icon: 'icon-ym icon-ym-nav-home',
      affix: true,
      zhTitle: '流程编辑'
    }
  },
  {
    path: '/form/webDesign',
    component: (resolve) => require(['@/views/form/webDesign'], resolve),
    name: 'webDesignEdit',
    meta: {
      title: 'webDesignEdit',
      icon: 'icon-ym icon-ym-nav-home',
      affix: true,
      zhTitle: '功能编辑'
    }
  },
  {
    path: '/form/zeroCode',
    component: (resolve) => require(['@/views/form/zeroCode'], resolve),
    name: 'zeroCodeEdit',
    meta: {
      title: 'zeroCodeEdit',
      icon: 'icon-ym icon-ym-nav-home',
      affix: true,
      zhTitle: '功能编辑'
    }
  },
  {
    path: '/form/initiate',
    component: (resolve) => require(['@/views/form/initiate'], resolve),
    name: 'webDesignEdit',
    meta: {
      title: 'InitiateApplication',
      icon: 'icon-ym icon-ym-nav-home',
      affix: true,
      zhTitle: '发起申请'
    }
  },
  // {
  //   path: '/dashboard',
  //   component: (resolve) => require(['@/views/basic/dashboard'], resolve),
  //   name: 'dashboard',
  //   meta: {
  //     title: 'dashboard',
  //     icon: 'icon-ym icon-ym-generator-kanban',
  //     // affix: true,
  //     zhTitle: '门户展示'
  //   }
  // },
  // {
  //   path: '/messageRecord',
  //   component: (resolve) => require(['@/views/basic/messageRecord'], resolve),
  //   name: 'messageRecord',
  //   meta: {
  //     title: 'messageRecord',
  //     affix: false,
  //     zhTitle: '消息中心',
  //     icon: 'icon-ym icon-ym-sysNotice',
  //   }
  // },
  {
    path: '/previewModel',
    component: (resolve) => require(['@/views/basic/dynamicModel'], resolve),
    name: 'previewModel',
    meta: {
      title: 'previewModel',
      affix: false,
      zhTitle: '功能预览',
      icon: 'icon-ym icon-ym-btn-preview'
    }
  },
  {
    path: '/dataCreate',
    component: (resolve) => require(['@/views/basic/dynamicModel/mobileList/dataCreate'], resolve),
    name: 'dataCreate',
    meta: {
      title: 'dataCreate',
      affix: false,
      zhTitle: '信息录入',
      icon: 'icon-ym icon-ym-btn-preview'
    }
  },
  {
    path: '/dataset',
    component: (resolve) => require(['@/views/dataset/edit.vue'], resolve),
    name: 'dataset',
    meta: {
      title: 'dataset',
      affix: false,
      zhTitle: '信息录入',
      icon: 'icon-ym icon-ym-btn-preview'
    }
  }
  // {
  //   path: '/profile',
  //   component: (resolve) => require(['@/views/basic/profile'], resolve),
  //   name: 'profile',
  //   meta: {
  //     title: 'profile',
  //     affix: false,
  //     zhTitle: '个人信息',
  //     icon: 'icon-ym icon-ym-user',
  //   }
  // }
]
export default baseRouter
